Package org.apache.axiom.util.stax.wrapper

## Class XMLStreamReaderWrapper

- java.lang.Object
- - org.apache.axiom.util.stax.wrapper.XMLStreamReaderWrapper

- All Implemented Interfaces:
    `XMLStreamConstants`, `XMLStreamReader`
  Direct Known Subclasses:
    `XMLStreamReaderValidator`

      public class XMLStreamReaderWrapper
      extends Object
      implements XMLStreamReader

  Base class for `XMLStreamReader` wrappers. The class provides default implementations for all methods. Each of them calls the corresponding method in the parent reader. This class is similar to `StreamReaderDelegate`, with the difference that it is immutable.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLStreamReaderWrapper​(XMLStreamReader parent)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `int` | `getAttributeCount()` |
    `String` | `getAttributeLocalName​(int index)` |
    `QName` | `getAttributeName​(int index)` |
    `String` | `getAttributeNamespace​(int index)` |
    `String` | `getAttributePrefix​(int index)` |
    `String` | `getAttributeType​(int index)` |
    `String` | `getAttributeValue​(int index)` |
    `String` | `getAttributeValue​(String namespaceURI, String localName)` |
    `String` | `getCharacterEncodingScheme()` |
    `String` | `getElementText()` |
    `String` | `getEncoding()` |
    `int` | `getEventType()` |
    `String` | `getLocalName()` |
    `Location` | `getLocation()` |
    `QName` | `getName()` |
    `NamespaceContext` | `getNamespaceContext()` |
    `int` | `getNamespaceCount()` |
    `String` | `getNamespacePrefix​(int index)` |
    `String` | `getNamespaceURI()` |
    `String` | `getNamespaceURI​(int index)` |
    `String` | `getNamespaceURI​(String prefix)` |
    `protected XMLStreamReader` | `getParent()` | Get the parent stream reader.
    `String` | `getPIData()` |
    `String` | `getPITarget()` |
    `String` | `getPrefix()` |
    `Object` | `getProperty​(String name)` |
    `String` | `getText()` |
    `char[]` | `getTextCharacters()` |
    `int` | `getTextCharacters​(int sourceStart, char[] target, int targetStart, int length)` |
    `int` | `getTextLength()` |
    `int` | `getTextStart()` |
    `String` | `getVersion()` |
    `boolean` | `hasName()` |
    `boolean` | `hasNext()` |
    `boolean` | `hasText()` |
    `boolean` | `isAttributeSpecified​(int index)` |
    `boolean` | `isCharacters()` |
    `boolean` | `isEndElement()` |
    `boolean` | `isStandalone()` |
    `boolean` | `isStartElement()` |
    `boolean` | `isWhiteSpace()` |
    `int` | `next()` |
    `int` | `nextTag()` |
    `void` | `require​(int type, String namespaceURI, String localName)` |
    `boolean` | `standaloneSet()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamReaderWrapper

          public XMLStreamReaderWrapper​(XMLStreamReader parent)

      Constructor.
      Parameters:
        `parent` - the parent reader

  - ### Method Detail

    - #### getParent

          protected XMLStreamReader getParent()

      Get the parent stream reader. This method is declared as protected because it should only be used by subclasses. However, stream reader wrappers that can safely be unwrapped may implement the `DelegatingXMLStreamReader` interface to make this a public method. Note that a corresponding `setParent` method is intentionally omitted because `XMLStreamReaderWrapper` is immutable.
      Returns:
        the parent stream reader that is wrapped by this object

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getAttributeCount

          public int getAttributeCount()

      Specified by:
        `getAttributeCount` in interface `XMLStreamReader`

    - #### getAttributeLocalName

          public String getAttributeLocalName​(int index)

      Specified by:
        `getAttributeLocalName` in interface `XMLStreamReader`

    - #### getAttributeName

          public QName getAttributeName​(int index)

      Specified by:
        `getAttributeName` in interface `XMLStreamReader`

    - #### getAttributeNamespace

          public String getAttributeNamespace​(int index)

      Specified by:
        `getAttributeNamespace` in interface `XMLStreamReader`

    - #### getAttributePrefix

          public String getAttributePrefix​(int index)

      Specified by:
        `getAttributePrefix` in interface `XMLStreamReader`

    - #### getAttributeType

          public String getAttributeType​(int index)

      Specified by:
        `getAttributeType` in interface `XMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue​(int index)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue​(String namespaceURI,
                                          String localName)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### getCharacterEncodingScheme

          public String getCharacterEncodingScheme()

      Specified by:
        `getCharacterEncodingScheme` in interface `XMLStreamReader`

    - #### getElementText

          public String getElementText()
                                throws XMLStreamException

      Specified by:
        `getElementText` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `XMLStreamReader`

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `XMLStreamReader`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `XMLStreamReader`

    - #### getLocation

          public Location getLocation()

      Specified by:
        `getLocation` in interface `XMLStreamReader`

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `XMLStreamReader`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamReader`

    - #### getNamespaceCount

          public int getNamespaceCount()

      Specified by:
        `getNamespaceCount` in interface `XMLStreamReader`

    - #### getNamespacePrefix

          public String getNamespacePrefix​(int index)

      Specified by:
        `getNamespacePrefix` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI​(int index)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI​(String prefix)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getPIData

          public String getPIData()

      Specified by:
        `getPIData` in interface `XMLStreamReader`

    - #### getPITarget

          public String getPITarget()

      Specified by:
        `getPITarget` in interface `XMLStreamReader`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `XMLStreamReader`

    - #### getProperty

          public Object getProperty​(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in interface `XMLStreamReader`
      Throws:
        `IllegalArgumentException`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `XMLStreamReader`

    - #### getTextCharacters

          public char[] getTextCharacters()

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`

    - #### getTextCharacters

          public int getTextCharacters​(int sourceStart,
                                       char[] target,
                                       int targetStart,
                                       int length)
                                throws XMLStreamException

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getTextLength

          public int getTextLength()

      Specified by:
        `getTextLength` in interface `XMLStreamReader`

    - #### getTextStart

          public int getTextStart()

      Specified by:
        `getTextStart` in interface `XMLStreamReader`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `XMLStreamReader`

    - #### hasName

          public boolean hasName()

      Specified by:
        `hasName` in interface `XMLStreamReader`

    - #### hasNext

          public boolean hasNext()
                          throws XMLStreamException

      Specified by:
        `hasNext` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### hasText

          public boolean hasText()

      Specified by:
        `hasText` in interface `XMLStreamReader`

    - #### isAttributeSpecified

          public boolean isAttributeSpecified​(int index)

      Specified by:
        `isAttributeSpecified` in interface `XMLStreamReader`

    - #### isCharacters

          public boolean isCharacters()

      Specified by:
        `isCharacters` in interface `XMLStreamReader`

    - #### isEndElement

          public boolean isEndElement()

      Specified by:
        `isEndElement` in interface `XMLStreamReader`

    - #### isStandalone

          public boolean isStandalone()

      Specified by:
        `isStandalone` in interface `XMLStreamReader`

    - #### isStartElement

          public boolean isStartElement()

      Specified by:
        `isStartElement` in interface `XMLStreamReader`

    - #### isWhiteSpace

          public boolean isWhiteSpace()

      Specified by:
        `isWhiteSpace` in interface `XMLStreamReader`

    - #### next

          public int next()
                   throws XMLStreamException

      Specified by:
        `next` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### nextTag

          public int nextTag()
                      throws XMLStreamException

      Specified by:
        `nextTag` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### require

          public void require​(int type,
                              String namespaceURI,
                              String localName)
                       throws XMLStreamException

      Specified by:
        `require` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### standaloneSet

          public boolean standaloneSet()

      Specified by:
        `standaloneSet` in interface `XMLStreamReader`